Subject: Re: More precise tag following

From: David Kågedal <[email-masked]>
Date: Wed, 31 Jan 2007 21:59:06 +0100

Peter Eriksen <[email-masked]> writes:

> David Kågedal <[email-masked]> writes:
>
>> Peter Eriksen <[email-masked]> writes:
>> 
>> > David Kågedal <[email-masked]> writes:
>> >
>> >> Usage instructions:  Open a file and type M-x git-blame-mode
>> >> 
>> >> ;;; git-blame.el
>> >
>> > I saved the elisp code in a file .emacs.d/git-blame.el, and loaded it
>> > with M-x load-file.  Then I visited git/cache.h, and typed M-x
>> > git-blame-mode, but the background colours did not change.  What did I
>> > forget to do?
>> 
>> Probably you forgot to use the latest version :-)
>> 
>> See my mail with the subject line "git-blame.el".
>
> I saw that mail just after I responded.  The newest version does not
> work either, that is, it does not work in the same way, as the old
> version.  Closing Emacs I can see, that Emacs did fork of "git blame"
> processes.  So it is just the colours, I cannot see.

I think it requires GNU Emacs 21.  If you'are using Emacs 20, try
changing this:

            (overlay-put ovl 'face (list :background
                                         (cdr (assq 'color (cddddr info)))))

to

            (overlay-put ovl 'face (cons 'background-color
                                         (cdr (assq 'color (cddddr info)))))

-- 
David Kågedal